# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-MooseX-InsideOut
Version:	0.106
Release:	19.%{__distinit}%{__distvers}
Summary:	Inside-out objects with Moose
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/MooseX-InsideOut/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DO/DOY/MooseX-InsideOut-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.31
# Module Runtime
BuildRequires:	perl(Class::MOP) >= 0.80
BuildRequires:	perl(Hash::Util::FieldHash::Compat)
BuildRequires:	perl(Moose) >= 0.94
BuildRequires:	perl(Moose::Exporter)
BuildRequires:	perl(Moose::Role)
BuildRequires:	perl(Moose::Util::MetaRole)
BuildRequires:	perl(namespace::clean) >= 0.11
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(constant)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More)
# Release Tests
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Class::MOP) >= 0.80
Requires:	perl(Moose) >= 0.94
Requires:	perl(namespace::clean) >= 0.11

%description
MooseX::InsideOut provides meta-roles for inside-out objects. That is, it
sets up attribute slot storage somewhere other than inside $self. This
means that you can extend non-Moose classes, whose internals you either
don't want to care about or aren't hash-based.

%prep
%setup -q -n MooseX-InsideOut-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test RELEASE_TESTING=1

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/MooseX/
%{_mandir}/man3/MooseX::InsideOut.3*
%{_mandir}/man3/MooseX::InsideOut::Role::Meta::Instance.3*

%changelog
* Thu Apr 26 2018 Paul Howarth <paul@city-fan.org> - 0.106-19
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Wed Sep  7 2016 Paul Howarth <paul@city-fan.org> - 0.106-15
- Classify buildreqs by usage
- Simplify find command using -delete

* Tue Sep 16 2014 Paul Howarth <paul@city-fan.org> - 0.106-10
- Use %%license where possible

* Mon Jul 16 2012 Paul Howarth <paul@city-fan.org> - 0.106-4
- BR: perl(constant), perl(lib), perl(Moose::Exporter), perl(Moose::Role),
  perl(Moose::Util::MetaRole) and perl(Scalar::Util)
- Specify version requiremenets for Test::Pod and Test::Pod::Coverage
- Don't need to remove empty directories from the buildroot
- Drop %%defattr, redundant since rpm 4.4

* Tue Jul  5 2011 Paul Howarth <paul@city-fan.org> - 0.106-3
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu May  5 2011 Paul Howarth <paul@city-fan.org> - 0.106-2
- Import from Fedora

* Sun Mar 06 2011 Iain Arnell <iarnell@gmail.com> - 0.106-1
- Update to latest upstream version

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.105-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 05 2010 Iain Arnell <iarnell@gmail.com> - 0.105-1
- Specfile autogenerated by cpanspec 1.78
